import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class Crash_143bd80f3cf030decbebd209621a090d46fb9be7 {
    static final String base64Bytes = String.join("", "rO0ABXNyABNqYXZhLnV0aWwuQXJyYXlMaXN0eIHSHZnHYZ0DAAFJAARzaXpleHAAAAABdwQAAAABdABkY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjUUBjY2NjY2NjY2NjcnJycnJycnJyci5jY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY2NjY3g=");

    public static void main(String[] args) throws Throwable {
        Crash_143bd80f3cf030decbebd209621a090d46fb9be7.class.getClassLoader().setDefaultAssertionStatus(true);
        try {
            Method fuzzerInitialize = EmailMatcherFuzzTest.class.getMethod("fuzzerInitialize");
            fuzzerInitialize.invoke(null);
        } catch (NoSuchMethodException ignored) {
            try {
                Method fuzzerInitialize = EmailMatcherFuzzTest.class.getMethod("fuzzerInitialize", String[].class);
                fuzzerInitialize.invoke(null, (Object) args);
            } catch (NoSuchMethodException ignored1) {
            } catch (IllegalAccessException | InvocationTargetException e) {
                e.printStackTrace();
                System.exit(1);
            }
        } catch (IllegalAccessException | InvocationTargetException e) {
            e.printStackTrace();
            System.exit(1);
        }
        com.code_intelligence.jazzer.api.CannedFuzzedDataProvider input = new com.code_intelligence.jazzer.api.CannedFuzzedDataProvider(base64Bytes);
        EmailMatcherFuzzTest.fuzzerTestOneInput(input);
    }
}